Bug 250766 - kernel panic in 32-bit domU when running on x86_64 dom0
kernel panic in 32-bit domU when running on x86_64 dom0
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.1
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Martin Jenner
:
Depends On: 318891
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-03 10:46 EDT by Paul Batkowski
Modified: 2008-05-21 10:48 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:48:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stack trace from the domU kernel panic. (6.19 KB, text/plain)
2007-08-03 10:46 EDT, Paul Batkowski
no flags Details

  None (edit)
Description Paul Batkowski 2007-08-03 10:46:49 EDT
Description of problem:

I originally created a paravirutalized guest, which is stored on a logical
volume, on a 32-bit RHEL 5.0 dom0 installation. I then moved this logical volume
, using nc, to a new test host which is running RHEL 5.1 Beta x86_64. I copied
over the xen config file as well. Now, when I try to start the guest, I see
pygrub start, the kernel boot, and then a kernel panic occurs in the domU right
when trying to mount root. The md5sum of the logical volume where the domU is
installed checks out against the original md5sum from the 32-bit box.

Version-Release number of selected component (if applicable):

# rpm -qa | grep xen
kernel-xen-2.6.18-36.el5
xen-libs-3.0.3-33.el5
xen-3.0.3-33.el5
xen-libs-3.0.3-33.el5

How reproducible:

Always

Steps to Reproduce:

1) Copy over the logical volume containing the 32-bit domU installation along
with the config file from /etc/xen.

2) Try to start the 32-bit domU, you will see pygrub start, the kernel boot, and
then panic right in the domU before trying to mount the root fs.
  
Actual results:

A kernel panic occurs in the domU.

Expected results:

The system boots completely.

Additional info:

stack trace from kernel panic attached. I tried to capture a vmcore by enabling
dumping in /etc/xen/xend-config.sxp, however, only 0 sized vmcores are generated.

-rw------- 1 root root    0 Aug  3 10:43
2007-0803-1043.26-rhel5Client.13.core-incomplete
Comment 1 Paul Batkowski 2007-08-03 10:46:50 EDT
Created attachment 160615 [details]
stack trace from the domU kernel panic.
Comment 2 Chris Lalancette 2008-02-24 23:41:21 EST
Paul,
     32-on-64 support is much improved with 5.2.  Can you give it a whirl and
let us know if it works better?  Save/restore/live migrate is still known to
fail for 32-on-64, but most other things should work.

Thanks,
Chris Lalancette
Comment 3 Paul Batkowski 2008-02-25 13:38:42 EST
Hi Chris,

Running my 32-bit domU on a 64-bit dom0 with kernel 2.6.18-79.el5xen if fine.
I'm a happy camper.

Thanks,
Paul
Comment 4 Bill Burns 2008-02-25 14:17:54 EST
This was fixed by the rebase of the Xen Hypervisor to 3,1.2 (bz 318891).
Setting flags to process for RHEL 5.2.
 
Comment 7 Mike Gahagan 2008-05-05 11:33:19 EDT
verifying, I've been running a 32-bit domU on a 64-bit dom0 for a couple of
months now without issues.
Comment 9 errata-xmlrpc 2008-05-21 10:48:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.